- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RelativeTimeDateFormat Class Reference

Inherits DateFormat.

List of all members.

## Detailed Description

Formats a date by printing the number of seconds elapsed since the start of the application.

This is the fastest printing DateFormat in the package.

## Public Member Functions
| RelativeTimeDateFormat ()
virtual void | format (LogString &s, log4cxx_time_t tm, log4cxx::helpers::Pool &p) const
| Formats an log4cxx_time_t into a date/time string.

## Constructor & Destructor Documentation

RelativeTimeDateFormat | ( |  | ) |

## Member Function Documentation

virtual void format | ( | LogString & | s,
|  | log4cxx_time_t | tm,
|  | log4cxx::helpers::Pool & | p
| ) | const`[virtual]`

  | Formats an log4cxx_time_t into a date/time string. Parameters:
  | s | string to which the date/time string is appended.
  | tm | date to be formatted.
  | p | memory pool used during formatting.
Implements DateFormat.

The documentation for this class was generated from the following file:

- relativetimedateformat.h